<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCardUserProgressTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('card_user_progress', function (Blueprint $table) {
            $table->increments('id');
            $table->string('user_id')->comment('用户');
            $table->string('time')->default('')->comment('时间');
            $table->string('story')->default('')->comment('事迹');
            $table->timestamps();

            $table->index('user_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('card_user_progress');
    }
}
